package net.zzforrest.ld29.entity;

import java.awt.Graphics;

import net.zzforrest.ld29.Game;

public abstract class Entity
{
	protected float x, y;
	protected int w, h;
	protected float xvel, yvel;
	protected boolean dead;
	protected Game game;
	
	public Entity(Game game)
	{
		this.game = game;
	}
	
	public abstract void update();
	public abstract void render(Graphics g);
	
	public float getX()
	{
		return x;
	}
	public float getY()
	{
		return y;
	}
	
	public int getW()
	{
		return w;
	}
	public int getH()
	{
		return h;
	}
	
	public void die()
	{
		dead = true;
	}
	public boolean isdead()
	{
		return dead;
	}
}