package net.zzforrest.ld29.entity;

import java.awt.Graphics;

import net.zzforrest.ld29.Art;
import net.zzforrest.ld29.Game;
import net.zzforrest.ld29.animation.Animation;

public class Spike extends Enemy
{
	public Spike(Game game, float x, float y)
	{
		super(game, x + 2, y);
		
		animation = new Animation(Art.enemy, 0, 43, 300, 20, 15, 1).setDelay(8);
		animation.loop(-1);
		
		w = 16;
		h = 17;
	}
	
	@Override
	public void checkPlayer()
	{
		if(animation.getFrame() >= 2 && animation.getFrame() <= 9)
			super.checkPlayer();
	}
	
	@Override
	public void render(Graphics g)
	{
		animation.render(g, (int) x - 3, (int) y);
	}
}