package net.zzforrest.ld29.menu;

import java.awt.Graphics;

import com.sun.glass.events.KeyEvent;

import net.zzforrest.ld29.Game;
import net.zzforrest.ld29.Input;

public class Lose extends Menu
{
	int score;
	
	public Lose(Game game)
	{
		super(game);
	}

	@Override
	public void input(Input input)
	{
		if(input.getKeyPressed(KeyEvent.VK_SPACE) || input.getKeyPressed(KeyEvent.VK_X))
		{
			game.reset();
			game.setMenu(new Transition(game, this, new MainMenu(game)));
		}
	}

	@Override
	public void update()
	{
		if(score < game.getScore())
			score += 25;
		if(score > game.getScore())
			score = game.getScore();
	}
	
	public void render(Graphics g)
	{
		super.render(g);
		
		g.drawString("You have died!", 100, 100);
		g.drawString("Your score : " + score, 100, 150);
		g.drawString("Space / X - back", 100, 250);
	}
}