package net.zzforrest.ld29;

import java.awt.Graphics;

import net.zzforrest.ld29.animation.Animation;

public class Block
{
	public static final Animation sprites = new Animation(Art.blocks, 0, 0,
			400, 400, 20, 20);

	int frame;
	boolean solid;

	public Block(int code)
	{
		switch (code)
		{
		case 0xffffff:
			solid = false;
			frame = 0;
			break;
		case 0x000000:
			solid = true;
			frame = 1;
			break;
		default:
			solid = false;
			frame = 0;
			break;
		}

	}

	public void render(Graphics g, int dx, int dy)
	{
		sprites.setFrame(frame);
		sprites.render(g, dx, dy);
	}
	
	public boolean isSolid()
	{
		return solid;
	}
}