package net.zzforrest.ld29.menu;

import java.awt.Graphics;

import net.zzforrest.ld29.Art;
import net.zzforrest.ld29.Game;
import net.zzforrest.ld29.Input;

public class Blank extends Menu
{
	boolean paper;
	
	public Blank(Game game, boolean paper)
	{
		super(game);
		
		this.paper = paper;
	}

	@Override
	public void input(Input input)
	{

	}

	@Override
	public void update()
	{
		game.setMenu(null);
	}
	
	public void render(Graphics g)
	{
		if(!paper)
			g.drawImage(Art.paper, 0, 0, null);
		else
			super.render(g);
	}
}